Package ru.bitel.bgbilling.plugins.crm.server.dao

# Class RegisterExecutorManager

java.lang.Object
ru.bitel.bgbilling.plugins.crm.server.dao.RegisterExecutorManager

public class RegisterExecutorManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterExecutorManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete(int id)`
  `List<Integer>`
  `getExecuterGroupIds(int executerId)`
  `ExecuterItem`
  `getExecuterItem(int id)`
  `List<RegisterExecutor>`
  `getRegisterExecutorList(String groups, List<Integer> executorList)`
  Deprecated.
  использовать `getRegisterExecutorList(List, List)`
  `List<RegisterExecutor>`
  `getRegisterExecutorList(List<Integer> groupList)`
  `List<RegisterExecutor>`
  `getRegisterExecutorList(List<Integer> groupList, List<Integer> executorList)`
  `void`
  `updateExecuterGroupIds(int executerId, List<Integer> groupIds)`
  `void`
  `updateExecuterItem(ExecuterItem executerItem)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterExecutorManager

    public RegisterExecutorManager(Connection con)

- ## Method Details

  - ### getExecuterItem

    public ExecuterItem getExecuterItem(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getExecuterGroupIds

    public List<Integer> getExecuterGroupIds(int executerId) throws SQLException
    Throws:
      `SQLException`

  - ### updateExecuterItem

    public void updateExecuterItem(ExecuterItem executerItem) throws SQLException
    Throws:
      `SQLException`

  - ### updateExecuterGroupIds

    public void updateExecuterGroupIds(int executerId, List<Integer> groupIds) throws SQLException
    Throws:
      `SQLException`

  - ### getRegisterExecutorList

    @Deprecated public List<RegisterExecutor> getRegisterExecutorList(String groups, List<Integer> executorList) throws SQLException
    Deprecated.
    использовать `getRegisterExecutorList(List, List)`
    Parameters:
      `groups` -
      `executorList` -
    Returns:
    Throws:
      `SQLException`

  - ### getRegisterExecutorList

    public List<RegisterExecutor> getRegisterExecutorList(List<Integer> groupList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRegisterExecutorList

    public List<RegisterExecutor> getRegisterExecutorList(List<Integer> groupList, List<Integer> executorList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public void delete(int id) throws SQLException
    Throws:
      `SQLException`